Package org.springframework.security.web.server.csrf

# Class CsrfException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.security.access.AccessDeniedException
org.springframework.security.web.server.csrf.CsrfException

All Implemented Interfaces:
  `Serializable`

public class CsrfException extends org.springframework.security.access.AccessDeniedException
Thrown when an invalid or missing `CsrfToken` is found in the HttpServletRequest

Since:
  3.2
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CsrfException(String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CsrfException

public CsrfException(String message)